Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.jmx.export.metadata
Class ManagedAttribute

    java.lang.Object
      org.springframework.jmx.export.metadata.AbstractJmxAttribute
          org.springframework.jmx.export.metadata.ManagedAttribute

    public class ManagedAttribute

extends AbstractJmxAttribute

Metadata that indicates to expose a given bean property as JMX attribute. Only valid when used on a JavaBean getter or setter.

Since:
  1.2
Author:
  Rob Harrop
See Also:
  `MetadataMBeanInfoAssembler`, `MBeanExporter`

Field Summary
`static ManagedAttribute` | `EMPTY`

Constructor Summary
`ManagedAttribute()`

Method Summary
`java.lang.Object` | `getDefaultValue()` Return the default value of this attribute.
`int` | `getPersistPeriod()`
`java.lang.String` | `getPersistPolicy()`
`void` | `setDefaultValue(java.lang.Object defaultValue)` Set the default value of this attribute.
`void` | `setPersistPeriod(int persistPeriod)`
`void` | `setPersistPolicy(java.lang.String persistPolicy)`

Methods inherited from class org.springframework.jmx.export.metadata.AbstractJmxAttribute
`getCurrencyTimeLimit, getDescription, setCurrencyTimeLimit, setDescription`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EMPTY

    public static final ManagedAttribute EMPTY

Constructor Detail

### ManagedAttribute

    public ManagedAttribute()

Method Detail

### setDefaultValue

    public void setDefaultValue(java.lang.Object defaultValue)

  Set the default value of this attribute.

### getDefaultValue

    public java.lang.Object getDefaultValue()

  Return the default value of this attribute.

### setPersistPolicy

    public void setPersistPolicy(java.lang.String persistPolicy)

### getPersistPolicy

    public java.lang.String getPersistPolicy()

### setPersistPeriod

    public void setPersistPeriod(int persistPeriod)

### getPersistPeriod

    public int getPersistPeriod()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD